// creator  : weidu.exe (version 23100)
// argument : TRCAR04.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRCAR04~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~Global("geniesgone","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #47365 /* ~(sigh)  I'd sell ye some of the goods from the caravan, but there be none to sell.  The genies keep magicking Raafee into selling them everything we have.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #47366 /* ~Until those genies are gone, we merchants can't sell anything to the town... and the town's merchants won't have anything to sell anyone.  An' now Raafee's broke.  It's a terrible state.~ */
  IF ~~ THEN EXIT
END

IF ~Dead("cefald01")
Global("geniesgone","GLOBAL",1)~ THEN BEGIN 2 // from:
  SAY #47367 /* ~Good news, my friend!  The genies have been dealt with, I hear, and we've been able to reload on our supplies!  If you wish to look at my goods, now would be the time... before I go into town, that is.~ */
  IF ~~ THEN REPLY #47368 /* ~Sure, let me see what you have.~ */ GOTO 4
  IF ~~ THEN REPLY #47369 /* ~No thanks.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.1
  SAY #47370 /* ~As you wish.  Maybe I be a bit excited, is all, about having the caravan's business restored.  Another time, perhaps.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.0
  SAY #47371 /* ~Yes, yes!  It is wonderful to have the caravan restored!  Come... buy whatever you wish!  And sell, by Waukeen, yes sell!  We'll take anything you have!~ */
  IF ~~ THEN DO ~StartStore("trcar04",LastTalkedToBy)~ EXIT
END

IF ~!Dead("cefald01")
Global("geniesgone","GLOBAL",1)~ THEN BEGIN 5 // from:
  SAY #47372 /* ~Well, it is a good thing those genies are gone, now.  As soon as the roads are made safe from the marauding animals, Raafee plans on re-supplying the town in full.  Here's to hopin', anyway.~ */
  IF ~~ THEN EXIT
END
